[arch-commits] Commit in mercurial/repos/extra-x86_64 (4 files)

Antonio Rojas arojas at archlinux.org
Thu Sep 3 19:05:13 UTC 2020


    Date: Thursday, September 3, 2020 @ 19:05:12
  Author: arojas
Revision: 395410

archrelease: copy trunk to extra-x86_64

Added:
  mercurial/repos/extra-x86_64/PKGBUILD
    (from rev 395409, mercurial/trunk/PKGBUILD)
  mercurial/repos/extra-x86_64/mercurial.profile
    (from rev 395409, mercurial/trunk/mercurial.profile)
Deleted:
  mercurial/repos/extra-x86_64/PKGBUILD
  mercurial/repos/extra-x86_64/mercurial.profile

-------------------+
 PKGBUILD          |  146 ++++++++++++++++++++++++++--------------------------
 mercurial.profile |    2 
 2 files changed, 74 insertions(+), 74 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-09-03 19:05:01 UTC (rev 395409)
+++ PKGBUILD	2020-09-03 19:05:12 UTC (rev 395410)
@@ -1,73 +0,0 @@
-# Maintainer:  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
-# Contributor: Giovanni Scafora <giovanni at archlinux.org>
-# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
-
-pkgname=mercurial
-pkgver=5.5
-pkgrel=1
-pkgdesc='A scalable distributed SCM tool'
-arch=(x86_64)
-url="https://www.mercurial-scm.org/"
-license=(GPL)
-depends=(python)
-makedepends=('python-docutils')
-optdepends=('tk: for the hgk GUI')
-#checkdepends=('breezy' 'cvs' 'git' 'git-lfs' 'python-docutils' 'subversion' 'unzip')
-
-# ToDo:
-# check included contrib/packaging/mercurial.spec and how BLFS/Gentoo/Debian/Fedora do it
-# the following should be either makedepends or checkdepends when running tests
-# 'python-gnupg' 'python-pygments'  'python-pyflakes' 'python-pyopenssl'
-# 'openssh'  'rust' 'subversion' 'breezy' 'cvs' 'git') 	
-
-backup=(etc/mercurial/hgrc)
-validpgpkeys=(2BCCE14F5C6725AA2EA8AEB7B9C9DC824AA5BDD5
-              3A8155163D0E20A530FCB78647A67FFAA346AACE
-              EB851395B4223EE2F7BA0B28DA54740BF08732BA) # Pulkit Goyal <7895pulkit at gmail.com>
-source=(https://www.mercurial-scm.org/release/${pkgname}-${pkgver}.tar.gz{,.asc}
-        mercurial.profile)
-sha512sums=('ed8f283a61aa13fd3638ae5b0473e989069128fbec99e9a0e5980db6041e5ea3bae6ff7647ba609c7fb3e6386aaa7398861d2cab6c6fb1165bfeb532855c331d'
-            'SKIP'
-            '710dcddb24d928efc97370e869d9caa083107929ed9a1086dd2a3ae0caaf2c71e2f29060597e29315b6b15b1616251c42412e268ce737109c48ae4d7aa1b9555')
-
-build() {
-  cd $pkgname-$pkgver
-  make
-  make -C contrib/chg
-}
-
-check() {
-  cd $pkgname-$pkgver/tests
-  # TODO - disabled for now - to many tests fail
-  #python run-tests.py # -j48 || :
-}
-
-package() {
-  cd $pkgname-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-  make DESTDIR="${pkgdir}" PREFIX=/usr install
-
-  install -m644 -D contrib/zsh_completion "$pkgdir/usr/share/zsh/site-functions/_hg"
-  install -m644 -D contrib/bash_completion "$pkgdir/usr/share/bash-completion/completions/hg"
-
-  make -C contrib/chg DESTDIR="$pkgdir" PREFIX=/usr install
-  install -m755 contrib/hg-ssh "$pkgdir/usr/bin"
-  install -m755 contrib/hgk "$pkgdir/usr/bin"
-
-  install -d "$pkgdir/usr/share/emacs/site-lisp"
-  install -m644 contrib/{mq.el,mercurial.el} "$pkgdir/usr/share/emacs/site-lisp"
-
-  install -Dm644 contrib/vim/HGAnnotate.vim \
-    "$pkgdir/usr/share/vim/vimfiles/syntax/HGAnnotate.vim"
-
-  # set some variables
-  install -m755 -d "$pkgdir/etc/profile.d"
-  install -m755 "$srcdir/mercurial.profile" "$pkgdir/etc/profile.d/mercurial.sh"
-
-  # FS#38825 - Add certs config to package
-  install -m755 -d "$pkgdir/etc/mercurial"
-  cat <<-EOF > "$pkgdir/etc/mercurial/hgrc"
-	[web]
-	cacerts = /etc/ssl/certs/ca-certificates.crt
-	EOF
-}

Copied: mercurial/repos/extra-x86_64/PKGBUILD (from rev 395409, mercurial/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-09-03 19:05:12 UTC (rev 395410)
@@ -0,0 +1,73 @@
+# Maintainer:  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
+# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
+
+pkgname=mercurial
+pkgver=5.5.1
+pkgrel=1
+pkgdesc='A scalable distributed SCM tool'
+arch=(x86_64)
+url="https://www.mercurial-scm.org/"
+license=(GPL)
+depends=(python)
+makedepends=('python-docutils')
+optdepends=('tk: for the hgk GUI')
+#checkdepends=('breezy' 'cvs' 'git' 'git-lfs' 'python-docutils' 'subversion' 'unzip')
+
+# ToDo:
+# check included contrib/packaging/mercurial.spec and how BLFS/Gentoo/Debian/Fedora do it
+# the following should be either makedepends or checkdepends when running tests
+# 'python-gnupg' 'python-pygments'  'python-pyflakes' 'python-pyopenssl'
+# 'openssh'  'rust' 'subversion' 'breezy' 'cvs' 'git') 	
+
+backup=(etc/mercurial/hgrc)
+validpgpkeys=(2BCCE14F5C6725AA2EA8AEB7B9C9DC824AA5BDD5
+              3A8155163D0E20A530FCB78647A67FFAA346AACE
+              EB851395B4223EE2F7BA0B28DA54740BF08732BA) # Pulkit Goyal <7895pulkit at gmail.com>
+source=(https://www.mercurial-scm.org/release/${pkgname}-${pkgver}.tar.gz{,.asc}
+        mercurial.profile)
+sha512sums=('9cf02dd637154a5205d81eddf69681bd05405a29592c348c9d9cfa3b57ad3e678f98876fa6899d85d33a502b61f81e320262c7da394efb55fcca1d1219ca7cf5'
+            'SKIP'
+            '710dcddb24d928efc97370e869d9caa083107929ed9a1086dd2a3ae0caaf2c71e2f29060597e29315b6b15b1616251c42412e268ce737109c48ae4d7aa1b9555')
+
+build() {
+  cd $pkgname-$pkgver
+  make
+  make -C contrib/chg
+}
+
+check() {
+  cd $pkgname-$pkgver/tests
+  # TODO - disabled for now - to many tests fail
+  #python run-tests.py # -j48 || :
+}
+
+package() {
+  cd $pkgname-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  make DESTDIR="${pkgdir}" PREFIX=/usr install
+
+  install -m644 -D contrib/zsh_completion "$pkgdir/usr/share/zsh/site-functions/_hg"
+  install -m644 -D contrib/bash_completion "$pkgdir/usr/share/bash-completion/completions/hg"
+
+  make -C contrib/chg DESTDIR="$pkgdir" PREFIX=/usr install
+  install -m755 contrib/hg-ssh "$pkgdir/usr/bin"
+  install -m755 contrib/hgk "$pkgdir/usr/bin"
+
+  install -d "$pkgdir/usr/share/emacs/site-lisp"
+  install -m644 contrib/{mq.el,mercurial.el} "$pkgdir/usr/share/emacs/site-lisp"
+
+  install -Dm644 contrib/vim/HGAnnotate.vim \
+    "$pkgdir/usr/share/vim/vimfiles/syntax/HGAnnotate.vim"
+
+  # set some variables
+  install -m755 -d "$pkgdir/etc/profile.d"
+  install -m755 "$srcdir/mercurial.profile" "$pkgdir/etc/profile.d/mercurial.sh"
+
+  # FS#38825 - Add certs config to package
+  install -m755 -d "$pkgdir/etc/mercurial"
+  cat <<-EOF > "$pkgdir/etc/mercurial/hgrc"
+	[web]
+	cacerts = /etc/ssl/certs/ca-certificates.crt
+	EOF
+}

Deleted: mercurial.profile
===================================================================
--- mercurial.profile	2020-09-03 19:05:01 UTC (rev 395409)
+++ mercurial.profile	2020-09-03 19:05:12 UTC (rev 395410)
@@ -1 +0,0 @@
-export HG=/usr/bin/hg

Copied: mercurial/repos/extra-x86_64/mercurial.profile (from rev 395409, mercurial/trunk/mercurial.profile)
===================================================================
--- mercurial.profile	                        (rev 0)
+++ mercurial.profile	2020-09-03 19:05:12 UTC (rev 395410)
@@ -0,0 +1 @@
+export HG=/usr/bin/hg


More information about the arch-commits mailing list